# Method: inappproducts.patch

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/patch#try-it)

Patches an in-app product (a managed product or a subscription).

This method should no longer be used to update subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.

### HTTP request

`PATCH https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/inappproducts/{sku}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `sku` | `string` Unique identifier for the in-app product. |

### Query parameters

| Parameters ||
|---|---|
| `autoConvertMissingPrices` | `boolean` If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false. |
| `latencyTolerance` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`